apfsck(8)

NAME
apfsck - check an APFS filesystem

SYNOPSIS
apfsck [-cuvw] device

DESCRIPTION
apfsck is an experimental tool that checks an APFS filesystem for corruption. When an issue is found it is reported, but no repair is attempted. For that purpose, you should use the official tools provided by Apple.

OPTIONS

-c  Report if the filesystem shows signs of a recent crash.

-u  Report the presence of unknown/unsupported features.

-v  Print the version number of apfsck and exit.

-w  Report unexplained inconsistencies that may or may not be corruption.

EXIT STATUS
The exit status is 0 if there was nothing to report, 1 otherwise.

REPORTING BUGS
Please report bugs via email or, if preferred, file a github issue at https://github.com/eafer/apfsprogs/issues.

AUTHOR
Written by Ernesto A. Fernández <ernesto.mnd.fernandez@gmail.com>.

SEE ALSO
mkapfs(8)